Description

The "old admin” is hosted on the "old" virtual machine, that was used originally.

That was migrated to Debian 9 some time ago, so we can now migrate this installation to the same VM on which the main gisaf runs,
smoothing the integration of "old admin" and the main gisaf, also freeing resources on the bare server and easing server
management.

Related issues:
Related to Geomatic studio models for Gisaf - Feature #7725: Add a button for... Resolved 20/02/2019

History

#1 - 25/02/2019 11:05 - Philippe May
Done it, just putting the steps broadly here.

e Created a Python virtual environment flask in /usr/local/lib/venv/flask

® Cloned gisaf, branch flask in that virtualenv and installed it

e Adjusted few things (DB connection string in /etc/gisaf/prod.yml)

¢ Changed the DNS (infra.csr.av): moved gisaf.csr.av => gis.csr.av and created gisaf-old.csr.av to the old machine
* Created a systemd service gisaf-flask.service

e Shutdown the service on the old machine

¢ Shutdown the old machine

#2 - 25/02/2019 11:08 - Philippe May
- Related to Feature #7725: Add a button for generating reports added

#3 - 25/02/2019 11:11 - Philippe May

- Status changed from New to Feedback

For all watchers (Meera, Pavneet, Giulio): this is for your information only, as it hopefully shouldn't impact the use of the "old-admin".

In short, i moved the old admin, for rationalization and more. So, feel free to complain if things are broken with the "old admin".
